# GNUmakefile          Section: 11.5, Hole Filling
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES	=
CLOSUREOBJS		=

HEADERS	= holefill.h
LOBJS	= holefill.o

SOURCES	= holefill.h  holefill.c  test-holefill.c
TESTS	= test-holefill

ARL		=
EXTRAINCLUDES	=
CPPFLAGS	=

OUTPUT_OPTION	=
TARGET_ARCH	=
XTRAFLAGS	=
XTRACCFLAGS	=

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include ../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

ifeq (${LIBTEST},)

holefill.o:	holefill.h  holefill.c

test-holefill.o:	test-holefill.c  holefill.h

test-holefill:	holefill.o  test-holefill.o
	${LINK.cc} -o $@ $@.o holefill.o ${LDLIBS}
	strip $@

else

test-holefill.o:	test-holefill.c

endif
